Loading...
Searching...
No Matches
juce::VST2ClientExtensions Struct Referenceabstract

## Detailed Description

An interface to allow an AudioProcessor to implement extended VST2-specific functionality.

To use this class, create an object that inherits from it, implement the methods, then return a pointer to the object in your AudioProcessor::getVST2ClientExtensions() method.

See also
  AudioProcessor, AAXClientExtensions, VST3ClientExtensions

The documentation for this struct was generated from the following file:

- juce_audio_processors_headless/utilities/juce_VST2ClientExtensions.h

## Public Types

using | VstHostCallbackType
| The host callback function type.

## Public Member Functions

virtual | ~VST2ClientExtensions ()=default
virtual pointer_sized_int | handleVstPluginCanDo (int32 index, pointer_sized_int value, void *ptr, float opt)
| This is called by the VST plug-in wrapper when it receives unhandled plug-in "can do" calls from the host.
virtual pointer_sized_int | handleVstManufacturerSpecific (int32 index, pointer_sized_int value, void *ptr, float opt)=0
| This is called by the VST plug-in wrapper when it receives unhandled vendor specific calls from the host.
virtual void | handleVstHostCallbackAvailable (std::function< VstHostCallbackType > &&callback)
| This is called once by the VST plug-in wrapper after its constructor.

## Member Typedef Documentation

## VstHostCallbackType

using juce::VST2ClientExtensions::VstHostCallbackType

Initial value:
pointer_sized_int (int32 opcode,
int32 index,
pointer_sized_int value,
void* ptr,
float opt)
juce::int32
signed int int32
A platform-independent 32-bit signed integer type.
Definition juce_MathsFunctions.h:55
juce::pointer_sized_int
int pointer_sized_int
A signed integer type that's guaranteed to be large enough to hold a pointer without truncating it.
Definition juce_MathsFunctions.h:92

The host callback function type.

## Constructors and Destructors

## ~VST2ClientExtensions()

virtual juce::VST2ClientExtensions::~VST2ClientExtensions | ( |  | ) |

virtual default

## Member Functions

## handleVstPluginCanDo()

virtual pointer_sized_int juce::VST2ClientExtensions::handleVstPluginCanDo | ( | int32 | index,
|  | pointer_sized_int | value,
|  | void * | ptr,
|  | float | opt )

virtual

This is called by the VST plug-in wrapper when it receives unhandled plug-in "can do" calls from the host.

## handleVstManufacturerSpecific()

virtual pointer_sized_int juce::VST2ClientExtensions::handleVstManufacturerSpecific | ( | int32 | index,
|  | pointer_sized_int | value,
|  | void * | ptr,
|  | float | opt )

pure virtual

This is called by the VST plug-in wrapper when it receives unhandled vendor specific calls from the host.

## handleVstHostCallbackAvailable()

virtual void juce::VST2ClientExtensions::handleVstHostCallbackAvailable | ( | std::function< VstHostCallbackType > && | callback | ) |

virtual

This is called once by the VST plug-in wrapper after its constructor.

You can use the supplied function to query the VST host.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited